
QGIS Application - Bug report #14748

Selecting features by radius fails

2016-05-01 02:51 AM - R. R.

Status: Closed

Priority: Severe/Regression

Assignee: Nyall Dawson

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 22705

Description

Selecting features by radius fails in master. I've set the priority to blocker, as it is a regression.

Associated revisions

Revision 33a5ee7a - 2016-06-15 03:57 AM - Nyall Dawson

Fix selecting features by radius (fix #14748)

Revision 68739c6a - 2016-07-01 10:39 AM - Nyall Dawson

Fix selecting features by radius (fix #14748)

(cherry-picked from 33a5ee7ab47c8c6db2985ef755ef6bdca23b36a0)

History

#1 - 2016-05-01 03:25 PM - Nyall Dawson

- Status changed from Open to Feedback

Cannot reproduce - can you please provide more details or a reproducible test case?

#2 - 2016-05-02 01:34 AM - R. R.

I've tested different data providers (Memory, Shape, SpatiaLite), geometry types (polygon, linestring, point) and CRS (WGS84 4326, MGI / Austria GK

East 31256). Selecting features by radius fails every time. OS is Ubuntu 16.04 LTS.

#3 - 2016-05-02 02:25 PM - Nyall Dawson

Can you share a self contained project + data file which demonstrates this issue? I'm totally unable to reproduce.

#4 - 2016-05-03 12:39 PM - R. R.

- File 14748.tar.gz added
Hi Nyall, I've attached a sample .qgis file including .shp geometries.

#5 - 2016-05-04 06:24 AM - Matthias Kuhn

I get a lot of errors in the GEOS message pannel

Exception: IllegalArgumentException: Points of LinearRing do not form a closed linestring

Running v.clean from processing and trying on the cleaned dataset, the tool works again.

#6 - 2016-05-04 11:39 AM - R. R.

- File 14748_2.tar.gz added

The GEOS message panel throws the same exception for point features (see attachment).

#7 - 2016-05-22 11:18 AM - Giovanni Manghi

- Target version set to Version 2.16

- Status changed from Feedback to Open

- Category set to Map Canvas

#8 - 2016-06-14 06:57 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"33a5ee7ab47c8c6db2985ef755ef6bdca23b36a0".

#9 - 2016-07-17 04:32 AM - R. R.

- File qgis_2-17-0_14748.mp4 added

- Status changed from Closed to Reopened

Here in QGIS 2.17.0 master selecting features by radius is still not working.

#10 - 2016-07-18 07:04 PM - Nyall Dawson

- Status changed from Reopened to Feedback

I can't reproduce, following the same steps in the video. What am I missing?

#11 - 2016-07-24 10:39 PM - R. R.

Perhaps something is wrong with my installation? I can't reproduce this issue on my Ubuntu laptop running QGIS 2.16 Nødebo.

#12 - 2016-10-13 08:23 AM - Sandro Santilli
- Resolution set to fixed/implemented

- Assignee set to Nyall Dawson

- Status changed from Feedback to Closed

Reinhard I guess you had an installation problem, since you cannot reproduce on your laptop.

Feel free to reopen if you can still reproduce with 2.17 (and include exact commit if you can reproduce). Thanks

Files

select_features_by_radius.mp4 478 KB 2016-05-01 R. R.

14748.tar.gz 1.23 MB 2016-05-03 R. R.

14748_2.tar.gz 1.95 MB 2016-05-04 R. R.

qgis_2-17-0_14748.mp4 1.12 MB 2016-07-17 R. R.
